Upstream information

CVE-2023-35789 at MITRE

Description

An issue was discovered in the C AMQP client library (aka rabbitmq-c) through 0.13.0 for RabbitMQ. Credentials can only be entered on the command line (e.g., for amqp-publish or amqp-consume) and are thus visible to local attackers by listing a process and its arguments.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 7.7
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1212499 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-Storage-7.1-2023-2823
SUSE Liberty Linux 8
  • librabbitmq >= 0.9.0-4.el8
  • librabbitmq-devel >= 0.9.0-4.el8
Patchnames:
RHSA-2023:7150
SUSE Liberty Linux 9
  • librabbitmq >= 0.11.0-7.el9
  • librabbitmq-devel >= 0.11.0-7.el9
  • librabbitmq-tools >= 0.11.0-7.el9
Patchnames:
RHSA-2023:6482
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-2823
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-2823
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2023-2823
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Server Applications 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP5-2023-2823
SUSE Linux Enterprise Real Time 15 SP3
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-2823
SUSE Linux Enterprise Server 15 SP3-LTSS
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-2823
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-2823
SUSE Manager Proxy 4.2
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-2823
SUSE Manager Retail Branch Server 4.2
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.2-2023-2823
SUSE Manager Server 4.2
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-2823
openSUSE Leap 15.4
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
  • rabbitmq-c-tools >= 0.10.0-150300.5.6.1
Patchnames:
openSUSE-SLE-15.4-2023-2823
openSUSE Leap 15.5
  • librabbitmq-devel >= 0.10.0-150300.5.6.1
  • librabbitmq4 >= 0.10.0-150300.5.6.1
  • rabbitmq-c-tools >= 0.10.0-150300.5.6.1
Patchnames:
openSUSE-SLE-15.5-2023-2823
openSUSE Tumbleweed
  • librabbitmq-devel >= 0.13.0-2.1
  • librabbitmq4 >= 0.13.0-2.1
  • rabbitmq-c-tools >= 0.13.0-2.1
Patchnames:
openSUSE Tumbleweed GA librabbitmq-devel-0.13.0-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 rabbitmq-c Released
SUSE Linux Enterprise High Performance Computing 15 SP5 rabbitmq-c Released
SUSE Linux Enterprise Module for Server Applications 15 SP5 rabbitmq-c Released
SUSE Linux Enterprise Real Time 15 SP3 rabbitmq-c Released
SUSE Linux Enterprise Server 15 SP5 rabbitmq-c Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rabbitmq-c Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 rabbitmq-c Released
SUSE Manager Proxy 4.3 rabbitmq-c Released
SUSE Manager Retail Branch Server 4.3 rabbitmq-c Released
SUSE Manager Server 4.3 rabbitmq-c Released
openSUSE Leap 15.5 rabbitmq-c Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP3 rabbitmq-c Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rabbitmq-c Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rabbitmq-c Released
SUSE Linux Enterprise High Performance Computing 15 SP4 rabbitmq-c Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rabbitmq-c Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rabbitmq-c Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP3 rabbitmq-c Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP4 rabbitmq-c Released
SUSE Linux Enterprise Server 15 SP3 rabbitmq-c Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS rabbitmq-c Released
SUSE Linux Enterprise Server 15 SP4 rabbitmq-c Released
SUSE Linux Enterprise Server 15 SP4-LTSS rabbitmq-c Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rabbitmq-c Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Real Time 15 SP4 rabbitmq-c Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL rabbitmq-c Unsupported
SUSE Manager Proxy 4.2 rabbitmq-c Released
SUSE Manager Retail Branch Server 4.2 rabbitmq-c Released
SUSE Manager Server 4.2 rabbitmq-c Released
openSUSE Leap 15.3 rabbitmq-c Released
openSUSE Leap 15.4 rabbitmq-c Released


SUSE Timeline for this CVE

CVE page created: Sat Jun 17 00:01:23 2023
CVE page last modified: Tue Feb 27 15:40:35 2024